<body> 
    <!-- Responsive design user on smartphone -->
    <div *ngIf="isSmartphoneUser(); else elseBlock">

        <!-- Button menu -->
        <div class='topbar' style="left:10%;">
            <div *ngIf="!isLogin() && !isHome()">
                <div *ngIf="!isSignUp()">
                    <button routerLink={{getHome()}}> 
                        Go home 
                    </button>
                    <button (click)="goBack()"> 
                        Go back 
                    </button>
                </div>
                <div *ngIf="isSignUp()">
                    <button (click)="goBack()"> 
                        Go back 
                    </button>
                </div>

            </div>

            <div *ngIf="isHome()">
                <button routerLink=""
                (click)="logOut()"> 
                    LogOut 
                </button>
            </div>
         </div>

         <!-- Background image padding -->
         <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
         <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
         <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
         <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
         <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
         <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
         <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
         <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
         <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
         <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
         <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
         <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
        
        <!-- Application -->
        <div *ngIf="!isSignUp() && !isLogin() && !authantificationOk()">
            {{goLogin()}}
        </div>
        <div *ngIf="authantificationOk() || isLogin() || isSignUp()">
            <p style="left: 5%; right: 5%;">
                <router-outlet></router-outlet>
            </p>
        </div>

    </div>

    <!-- Responsive design user on computer -->
    <ng-template #elseBlock>  

        <!-- Button menu -->
        <div class='topbar'>
            <div *ngIf="!isLogin() && !isHome()">
                <div *ngIf="!isSignUp()">
                    <button routerLink={{getHome()}}> 
                        Go home 
                    </button>
                    <button (click)="goBack()"> 
                        Go back 
                    </button>
                </div>
                <div *ngIf="isSignUp()">
                    <button (click)="goBack()"> 
                        Go back 
                    </button>
                </div>

            </div>

            <div *ngIf="isHome()">
                <button routerLink=""
                (click)="logOut()"> 
                    LogOut 
                </button>
            </div>
        </div>
        
        <!-- Background image padding -->
        <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>


        <!-- Application -->
        <div *ngIf="!isSignUp() && !isLogin() && !authantificationOk()">
            {{goLogin()}}
        </div>
        <div *ngIf="authantificationOk() || isLogin() || isSignUp()">
            <p>
                <router-outlet></router-outlet>
            </p>
        </div>

    </ng-template>


</body>

<!-- Credits -->